# DataExchange
TKIGES
IGESData

# IGESData_NameEntity Class Reference

a NameEntity is a kind of IGESEntity which can provide a Name
under alphanumeric (String) form, from Properties list
an effective Name entity must inherit it

`#include <IGESData_NameEntity.hxx>`

Inheritance diagram for IGESData_NameEntity:

[legend]

## Public Member Functions

virtual Standard_EXPORT Handle_TCollection_HAsciiString | Value () const =0
| Retyrns the alphanumeric value of the Name, to be defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

Standard_EXPORT const IGESData_NameEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity. Reimplemented in IGESBasic_Name.

virtual Standard_EXPORT Handle_TCollection_HAsciiString IGESData_NameEntity::Value | ( |  | ) | const`[pure virtual]`

| Implemented in IGESBasic_Name.

The documentation for this class was generated from the following file:

- IGESData_NameEntity.hxx